- import_role:
    name: common-modules

- name: Generate JWT
  create_jwt:
    secret: "{{ lookup('password', '/tmp/passwordfile length=64') }}"
    claims:
      - iss=xand
      - sub=client
      - company=tpfs
  register: test_jwt

- debug:
    var: test_jwt.jwt
